@use 'vars-svm';

/*
 * !!! This classname is used by Workbench client
 * to postion the overview between the menus
 */
.svm-overview-drag-box {
  width: 256px;
  height: 256px;
  padding: 15px;
  box-sizing: border-box;
  // border: solid 1px #ccc;
  //color: rgba(0, 0, 0, 0.87);
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  // background:rgba(255, 255, 255, 0.87);
  border-radius: 4px;
  border-width: 2px;
  position: absolute;
  right: 0px;
  top: 0px;
  transition: box-shadow 200ms cubic-bezier(0, 0, 0.2, 1);
  box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2),
              0 2px 2px 0 rgba(0, 0, 0, 0.14),
              0 1px 5px 0 rgba(0, 0, 0, 0.12);
}

.svm-overview-drag-box:active {
  box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2),
              0 8px 10px 1px rgba(0, 0, 0, 0.14),
              0 3px 14px 2px rgba(0, 0, 0, 0.12);
}

.resizable {
  border: 1px solid cornflowerblue;
}

.drag-handle {
  position: absolute;
  top: 8px;
  left: 8px;
  color: #ccc;
  cursor: move;
  width: 24px;
  height: 24px;
}

.minimize {
  position: absolute;
  top: 2px;
  left: 28px;
  color: #ccc;
  cursor: pointer;
  width: 24px;
  height: 24px;
}


.resize-handle-top,
.resize-handle-bottom {
  position: absolute;
  height: vars-svm.$overview-map-resize-border-size;
  cursor: row-resize;
  width: 100%;
}

.resize-handle-top {
  top: 0;
}

.resize-handle-bottom {
  bottom: 0;
}

.resize-handle-left,
.resize-handle-right {
  position: absolute;
  height: 100%;
  cursor: col-resize;
  width: vars-svm.$overview-map-resize-border-size;
}

.resize-handle-left {
  left: 0;
}

.resize-handle-right {
  right: 0;
}

.resize-handle-top-left,
.resize-handle-top-right,
.resize-handle-bottom-left,
.resize-handle-bottom-right {
  position: absolute;
  width: vars-svm.$overview-map-resize-border-size;
  height: vars-svm.$overview-map-resize-border-size;
}

.resize-handle-top-left {
  top: 0;
  left: 0;
  cursor: nw-resize;
}

.resize-handle-top-right {
  top: 0;
  right: 0;
  cursor: ne-resize;
}

.resize-handle-bottom-left {
  bottom: 0;
  left: 0;
  cursor: sw-resize;
}

.resize-handle-bottom-right {
  bottom: 0;
  right: 0;
  cursor: se-resize;
}
